SE Site Issues after Upgrade to 4.9.1

    • 22 posts
    July 3, 2017 5:13 PM EDT

    Hello I've been running social engine since the 3.0 days.  Ever since the update was released for 4.9.1 I was one of the first to update. Many people in the comments and github had an issue with it deleting everything in the database.  A developer Ray was commenting in the forum about adding a code to manageinstall.php that would skip touching the database and not delete the users. He said what code to enter but I asked where to enter it and it was never answered. Correct issues I have right now is my members keep messaging me saying they get an "Error" when they send a friend request. I also get 

    We're sorry!We are currently experiencing some technical issues. Please try again later.

    Error code: 78e9fe
     
    Also my main profile "Company Profile" seems to be the only profile URL that wont load http://mmamelee.com/profile/MMAMELEE
     
    I have done all my updates for the last 9 years. This was the only issue I've had updating. I even contacted SE asking them for an upgrade package at a discount because it was admitted an error in the first upgrade package. My site is showing it running 4.8.13 even though I did the 4.9.1 package. My question is all the deleting database issue fixed with 4.9.2 if I went straight to that. 
    • Moderator
    • 6558 posts
    July 3, 2017 5:28 PM EDT

    The update issue didn't need the code to be added once we had the testers that confirmed it worked. Our blog post for the release had said to just download the patch and upload it before upgrading. The file was contained in the blog. It was only one file and it only impacted some servers with certain configurations which I guess you must have had. http://blog.socialengine.com/2017/05/17/socialengine-php-4-9-2-release/ the patch is in that blog.

    I suggest to download the patch in that blog. Follow the instructions in the blog to upload it. Then, after you do that, try the 4.9.2p1 upgrade. If that doesn't fix your issue, you may want to send a support ticket for our agents to check but you would need support access.

    • Moderator
    • 6558 posts
    July 3, 2017 5:31 PM EDT

    I forgot to say to make sure you backup the site files and database before upgrading. 

    • 22 posts
    July 3, 2017 5:53 PM EDT
    Donna said:

    The update issue didn't need the code to be added once we had the testers that confirmed it worked. Our blog post for the release had said to just download the patch and upload it before upgrading. The file was contained in the blog. It was only one file and it only impacted some servers with certain configurations which I guess you must have had. http://blog.socialengine.com/2017/05/17/socialengine-php-4-9-2-release/ the patch is in that blog.

    I suggest to download the patch in that blog. Follow the instructions in the blog to upload it. Then, after you do that, try the 4.9.2p1 upgrade. If that doesn't fix your issue, you may want to send a support ticket for our agents to check but you would need support access.

     

    ________________________

    So I need to download 4.9.2 and the patch? It's not all just in 4.9.2? I'm scared to do any updates after the last one I almost lost everything. 

    • Moderator
    • 6558 posts
    July 3, 2017 5:58 PM EDT

    The patch is separate and needs to be on the server before you load any other updates. Once that is on there, it should be fine to upgrade. Backup the site files and database before you do anything as that's always a good practice. 

    • 629 posts
    July 5, 2017 10:48 AM EDT

    The upgrade went smoothly for me. Try to make sure there's no third party plugins accessing data used by se core and try again. Best advice I have atm.